Skip to main content
Responses

Delete a model response

DELETE
/openai/v1/responses/{response_id}

Deletes a model response.

Path Parameters
response_idstringrequired
The ID of the response to delete.
Header Parameters
x-ms-user-identitystringoptional
Opaque per-user identity string used to scope endpoint-scoped data to a specific end user. The caller must have the agents/endpoints/UserIdentityImpersonation/action RBAC permission.
Responses
idstringrequired
The operation ID.
objectenumrequired
Always return 'response'.
response
deletedenumrequired
Always return true
true
Request
curl -X DELETE https://api.openai.com/v1/responses/resp_123 \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer $OPENAI_API_KEY"
Response
{
  "id": "resp_6786a1bec27481909a17d673315b29f6",
  "object": "response",
  "deleted": true
}